import { EventEmitter } from '@angular/core';
import { ThemesService } from '@progress-chef/interact-themes';
import * as i0 from "@angular/core";
export declare const ALERT_TYPE: {
    success: string;
    error: string;
    warning: string;
    info: string;
};
export declare class AlertComponent {
    private themesService;
    type: string;
    dismissed: EventEmitter<any>;
    get theType(): string;
    constructor(themesService: ThemesService);
    onClose: () => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertComponent, "lib-alert", never, { "type": { "alias": "type"; "required": false; }; }, { "dismissed": "dismissed"; }, never, ["*"], false, never>;
}
