import { OnInit } from '@angular/core';
import { ThemesService } from '@progress-chef/interact-themes';
import * as i0 from "@angular/core";
export interface MetaData {
    title: string;
    value: string;
}
export declare class ReportSummaryComponent implements OnInit {
    private themesService;
    leftTitle: string;
    rightTitle: string;
    bannerColor: string;
    isCollapsed: boolean;
    leftMetaData: MetaData[];
    rightMetaData: MetaData[];
    isOpened: boolean;
    constructor(themesService: ThemesService);
    ngOnInit(): void;
    toggle(): void;
    expandBox(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReportSummaryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ReportSummaryComponent, "lib-report-summary", never, { "leftTitle": { "alias": "leftTitle"; "required": false; }; "rightTitle": { "alias": "rightTitle"; "required": false; }; "bannerColor": { "alias": "bannerColor"; "required": false; }; "isCollapsed": { "alias": "isCollapsed"; "required": false; }; "leftMetaData": { "alias": "leftMetaData"; "required": false; }; "rightMetaData": { "alias": "rightMetaData"; "required": false; }; }, {}, never, never, false, never>;
}
